/// <reference types="node" />
import events = require('events');
import PhoneClient from '../models/phone/PhoneClient';
import SipClient from './SipClient';
import SipSession from './SipSession';
import StompClient from './StompClient';
declare type PhoneServiceOptions = {
    client: PhoneClient;
    apiKey: string;
    url: string;
    debug?: boolean;
};
export default class CallablePhone extends events.EventEmitter {
    _sipClient: SipClient;
    _stompClient: StompClient;
    _phoneClient: any;
    _debug: boolean;
    constructor(options: PhoneServiceOptions);
    start(): void;
    disconnect(): void;
    addSipSessionEventHandlers(session: SipSession): void;
    addUAEventListeners(): void;
    addStompListeners(): void;
}
export {};
